Skip to main content
POST
Create request
Create a request for an existing customer. Save data.case.id as the caseId for subsequent calls. Complete the fields in data.requirements.schema, then submit the request. See the integration overview for the full flow.

Authorizations

x-api-key
string
header
required

Path Parameters

customerId
string<uuid>
required

Customer identifier.

Body

application/json
provider
string

Provider slug or provider UUID. Omit to use provider routing.

Example:

"infinia"

type
enum<string>

Intended customer activity.

Available options:
onramp,
offramp
routeIntent
object
callbackUrl
string<uri>

URL notified as the onboarding request progresses.

Example:

"https://example.com/webhooks/customer-onboarding"

Response

201 - application/json

Customer onboarding request created.

message
string
required
data
object
required
status
boolean
required
Example:

true